# Expand the Bosses!

This mod adds two fully-fledged new bosses for the custom floors added by [Expand the Gungeon](https://enter-the-gungeon.thunderstore.io/package/ApacheThunder/ExpandTheGungeon/), replacing the placeholder ones with completely unique, custom bossfights!

The mod also adds bonus content in the form of three custom guns!

## A look at the Bosses!


# Les Voltigunners (Jungle boss)

![Voltigunner and their Voltigoons.](https://cdn.discordapp.com/attachments/755204941282410606/1207355569334390784/VoltiGunnerBoss.gif?ex=65df587f&is=65cce37f&hm=6fa8db0f0d54233d180b8b740a52b413f8a5e4f9b00321f8ed66b8168d0f7e22&)

* A company of ghillie suit-wearing robots specializing in guerilla warfare, yet capable of far more destruction than it at first seems.
* Composed of one leader (the boss "proper"), and multiple different unique enemies spawned by it.
* Features two different phases, which completely change the appearance, behaviour, and attack patterns of the boss and its spawns!
* The environment plays a role in the fight, with certain enemies being tied to the destructible trees and bushes.
* Features two custom music tracks, one for each of the phases!


#

# The Parasitic Abomination (Belly Boss)
![The Parasitic Abomination](https://cdn.discordapp.com/attachments/755204941282410606/1207355886763380827/ParasiteBoss.gif?ex=65df58ca&is=65cce3ca&hm=8a034714b53ef64b45ee477c76e17ec8473187c4eacade4378b2c1801a4e77c7&)

* A giant monster dwelling in the stomach juices of the Belly, composed of three independent faces with unique attacks and health bars.
* Composed of three faceparts that can be independently targeted and destroyed.
* Many different attack patterns, each associated with one of the faceparts! Destroying them will make the boss unable to use their attacks!
* Capable of submerging to reposition itself in the arena, making it easier for certain parts to be targeted.
* Spawns a custom enemy that begins anchored before eventually releasing itself if not immediately killed.
* Creates chandelier-like traps hanging from the ceiling, which fall down and explode after a certain time.
* The boss is not defeated by clearing its lifebar, but by destroying all three of the faceparts, making it unique among all other bosses!
* Features one custom music track for the bossfight!

# Credits
* Some Bunny: All the coding work, together with bossfight design, arena design, balancing, and playtesting. Also sprited the Voltigunners' bosscard and original boss concepts!
* Lynceus (=Lynchantiure): Nearly all the spritework and animations, together with some playtesting. Wrote the ammonomicon descriptions, as well as this mod description!
* Skilotar_: Created the three custom music tracks used in the mod, made the Thunderstore Icon for the mod and helped with playtesting!
* A special thanks to Dallan for the help with playtesting!
* There was also some people that tested the mod which I dont know the name of, if they want to their name can be added here in the future.
* And thank YOU for reading these credits!